Find Pre Approval
curl --request GET \
--url https://commerce.driv.ly/api/preApprovals \
--header 'Authorization: <api-key>'import requests
url = "https://commerce.driv.ly/api/preApprovals"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://commerce.driv.ly/api/preApprovals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"docs": [
{
"updatedAt": "<string>",
"createdAt": "<string>",
"customer": 123,
"title": "<string>",
"firstName": "<string>",
"middleInitial": "<string>",
"lastName": "<string>",
"address": "<string>",
"city": "<string>",
"zip": "<string>",
"phone": "<string>",
"email": "<string>",
"income": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>",
"isp": "<string>",
"sessionId": "<string>",
"resend": "<string>",
"AppId": 123,
"estimatedInterestRate": "<string>",
"estimatedLoanTerm": "<string>",
"lead": 123
}
],
"totalDocs": 123,
"limit": 123,
"totalPages": 123,
"page": 123,
"pagingCounter": 123,
"hasPrevPage": true,
"hasNextPage": true,
"prevPage": 123,
"nextPage": 123
}Pre-Approval
Find Pre Approval
Find Pre Approvals
GET
/
preApprovals
Find Pre Approval
Authorizations
Query Parameters
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
sort by field
pass a where query to constrain returned documents (complex type, see documentation)
Show child attributes
Show child attributes
Example:
{
"or": [
{ "color": { "equals": "mint" } },
{
"and": [
{ "color": { "equals": "white" } },
{ "featured": { "equals": false } }
]
}
]
}
limit the returned documents to a certain number
get a specific page of documents
⌘I